## csh 20050313

=== Makefile ===
#	$OpenBSD: Makefile,v 1.7 2003/06/23 16:42:15 deraadt Exp $
#
# C Shell with process control; VM/UNIX VAX Makefile
# Bill Joy UC Berkeley; Jim Kulp IIASA, Austria
#
# To profile, put -DPROF in DEFS and -pg in CFLAGS, and recompile.

PROG=	csh
DFLAGS=-DBUILTIN -DFILEC -DNLS -DSHORT_STRINGS
#CFLAGS+=-g
#CFLAGS+=-Wall -ansi -pedantic
CFLAGS+=-I${.CURDIR} -I. ${DFLAGS}
SRCS=	alloc.c char.c const.c csh.c dir.c dol.c error.c exec.c exp.c file.c \
	func.c glob.c hist.c init.c lex.c misc.c parse.c proc.c \
	sem.c set.c str.c time.c

MLINKS=	csh.1 limit.1 csh.1 alias.1 csh.1 bg.1 csh.1 dirs.1 csh.1 fg.1 \
	csh.1 foreach.1 csh.1 history.1 csh.1 jobs.1 csh.1 popd.1 \
	csh.1 pushd.1 csh.1 rehash.1 csh.1 repeat.1 csh.1 suspend.1 \
	csh.1 stop.1 csh.1 source.1 csh.1 unlimit.1
CLEANFILES+=error.h const.h

.if (${MACHINE_ARCH} == "vax")
alloc.o:
	${CC} ${CFLAGS} ${CPPFLAGS} -O0 -c $<
.endif

const.h: error.h

error.h: error.c
	@rm -f $@
	@echo '/* Do not edit this file, make creates it. */' > $@
	@echo '#ifndef _h_sh_err' >> $@
	@echo '#define _h_sh_err' >> $@
	egrep 'ERR_' ${.CURDIR}/$*.c | egrep '^#define' >> $@
	@echo '#endif /* _h_sh_err */' >> $@

const.h: const.c
	@rm -f $@
	@echo '/* Do not edit this file, make creates it. */' > $@
	${CC} -E ${CFLAGS} ${.CURDIR}/$*.c | egrep 'Char STR' | \
	    sed -e 's/Char \([a-zA-Z0-9_]*\)\(.*\)/extern Char \1[];/' | \
	    sort >> $@

.depend alloc.o: const.h error.h 

.if make(install)
SUBDIR+= USD.doc
.endif

.include <bsd.prog.mk>
