=== debian/changelog ===
csh (20110502-7) unstable; urgency=mediu

  [ Lukas Märdian ]
  * Fix FTBFS with glibc 2.32: sys_siglist[] and sys_sigabbrev[] have been
    deprecated in favor of strsignal()
    - Refresh d/p/09_sys_signame.diff
    - Add d/p/glibc-strsignal.diff
    Closes: #996642

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 Oct 2021 08:47:17 +0100

csh (20110502-6) unstable; urgency=medium

  * Patch from Etienne Mollier for FTBFS with gcc10. Closes: #957113
  * Standards-Version: 4.5.0
  * Debhelper level 13

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 23 Jul 2020 09:41:59 +0100

csh (20110502-5) unstable; urgency=medium

  * Fix for segfault on eval. Patch thanks to Keith Thompson, Graham Inggs.
    Closes: #933057
  * Standards-Version: 4.4.0
  * Add vcs and homepage to d/control
  * Use debhelper-compat (=12)

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 Sep 2019 09:10:45 +0100

csh (20110502-4) unstable; urgency=medium

  * Take over as maintainer. Closes: #868691
  * Standards-Version: 4.2.0

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Sep 2018 12:49:15 +0100

csh (20110502-3.1) unstable; urgency=medium

  * Nob-maintainer upload
  [ Alastair McKinstry ]
  * Fix FTBFS by misuse of -Werror / #warning in <bsd/vis.h>. Closes: #906457
  * Mark csh as M-A: foreign. Closes: #899199.
  [ Gilles Filippini ]
  * Add patches/13_fix_arithmetic_precedence.diff to fix precedence for
    consecutive ADDOP (+, -) or MULOP (*, /, %) (closes: #862221)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Sep 2018 17:21:24 +0100

csh (20110502-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to the QA group.
  * Bump dh to 10.
  * Fix FTBFS with gcc-7 (Closes: #853361).
  * -Wno-error=unused-result, to work around gcc brain damage
    (https://gcc.gnu.org/bugzilla/show_bug.cgi?id=66425)

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 28 Aug 2017 11:46:44 +0200

csh (20110502-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patches/12_glibc_union_wait.diff to remove usage of deprecated BSD
    union wait type. Fixes the FTBFS against glibc 2.24 (Closes: #833968).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 30 Sep 2016 18:25:06 +0200

csh (20110502-2.1) unstable; urgency=low

  * Non-maintainer upload.
  [ gregor herrmann ]
  * Fix "FTBFS: Makefile:24: *** missing separator.  Stop.":
    use bmake debhelper addon:
    - d/control: build-depend on bmake (>= 20130730-2)
    - d/rules: use bmake buildsystem, update override_dh_auto_{build,clean}
    (Closes: #718068)

 -- YunQiang Su <syq@debian.org>  Fri, 18 Jul 2014 09:28:44 +0800

csh (20110502-2) unstable; urgency=medium

  * 02_libbsd.diff: Use <bsd/vis.h> rather than <vis.h>.  Closes: #629684.
  * Drop "standard login shell on BSD systems" from the description.
    Thanks to Thorsten Glaser for the suggestion.

 -- Matej Vela <vela@debian.org>  Tue, 05 Jul 2011 14:27:00 +0200

csh (20110502-1) unstable; urgency=low

  * New upstream release.
    - Includes fix for exp2 conflict from #258588.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch to debhelper 8.
  * 01_gnu_source.diff: Remove now-unused `-D__BSD_VISIBLE' (leaving only
    `-D_GNU_SOURCE').
  * 02_libbsd.diff: Remove convenience copies of OpenBSD's strlcpy and vis;
    link to libbsd instead.
  * 08_glob.diff: Remove convenience copy of OpenBSD's glob; refactor
    to avoid any of the areas where BSD and GNU implementations differ
    (GLOB_MAGCHAR, GLOB_NOCHECK, GLOB_NOMAGIC, gl_matchc).
  * 11_groff_schar.diff: Make footnote marks legible in csh.txt.
  * debian/copyright:
    - Include full license text instead of referring to
      /usr/share/common-licenses/BSD.
    - Switch to machine-readable format (DEP-5).
  * debian/rules (get-orig-source):
    - Derive version from last-modified time rather than current date.
    - Clean up temporary directory in case of errors.
  * Conforms to Standards version 3.9.2.

 -- Matej Vela <vela@debian.org>  Fri, 13 May 2011 22:54:42 +0200

csh (20070713-2) unstable; urgency=medium

  * _glob.c (globextend): Use sysconf(_SC_ARG_MAX) rather than ARG_MAX.
    Closes: #518860.
  * Switch to debhelper 7.
  * debian/doc-base: Update section to Shells.
  * debian/postinst, debian/prerm: Use which rather than type.
  * Conforms to Standards version 3.8.0.

 -- Matej Vela <vela@debian.org>  Mon, 09 Mar 2009 09:15:35 +0100

csh (20070713-1) unstable; urgency=low

  * New upstream release.
  * debian/menu: Move to Applications/Shells.

 -- Matej Vela <vela@debian.org>  Fri, 13 Jul 2007 23:52:21 +0200

csh (20060813-1) unstable; urgency=low

  * New upstream release.
  * Switch to cdbs.
  * csh.c, csh.h, debian/preinst: Remove potato compatibility code.
  * debian/postinst: Invoke add-shell unconditionally, to handle the case
    where the package is re-installed after being removed.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Sun, 13 Aug 2006 15:53:42 +0200

csh (20060413-1) unstable; urgency=low

  * New upstream release.
  * Since glibc is broken with respect to GLOB_NOMAGIC and backslashes
    (and its maintainers refuse to see the light), switch back to BSD's
    implementation of glob.  Closes: #220170.
  * Incidentally, this removes the need to reimplement glob_t.gl_matchc,
    fixing a bug that was causing `No match' errors when some patterns did
    match and some didn't.  Closes: #350869.
  * Prefix BSD libc sources (glob.c, strlcpy.c, vis.c) with an underscore
    to avoid a conflict with our own glob.c.
  * _glob.c (globtilde): Replace issetugid with calls to get{e,}{u,g}id.
  * Use add-shell and remove-shell.  Closes: #361544.
  * Switch to debhelper 5.
  * debian/copyright: Document `debian/rules get-orig-source'.
  * debian/doc-base: Rephrase abstract.
  * debian/rules: Set CVS_RSH to ssh.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Thu, 13 Apr 2006 18:48:29 +0200

csh (20050313-1) unstable; urgency=low


