=== debian/control ===
Source: csh
Section: shells
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
Standards-Version: 4.5.0
Homepage: https://www.openbsd.org/cgi-bin/cvsweb/src/bin/csh/
Vcs-Browser: https://salsa.debian.org:/mckinstry/bsd-csh.git
Vcs-Git: https://salsa.debian.org:/mckinstry/bsd-csh.git
Build-Depends: debhelper-compat (= 13),
  groff, 
  libbsd-dev, 
  bmake (>= 20130730-2)

Package: csh
Architecture: any
Multi-Arch: foreign
Provides: c-shell
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shell with C-like syntax
 The C shell was originally written at UCB to overcome limitations in the
 Bourne shell.  Its flexibility and comfort (at that time) quickly made it
 the shell of choice until more advanced shells like ksh, bash, zsh or
 tcsh appeared.  Most of the latter incorporate features original to csh.
 .
 This package is based on current OpenBSD sources.
