## csh 20230828

=== debian/changelog ===
csh (20230828-1) unstable; urgency=medium

  * New snapshot from upstream 
    - Closes: #933057
  * Take maintainesrhip. Closes: #1049952
  * Patches updated:
    - 12_glibc_union_wait.diff now upstream
    - pointer_deref_comparison.patch merged upstream
  * Add d/gpb.conf file
  * Point Vcs-Git to DEP-14 branch names
  * Standards-Version: 4.6.2
  * Fix for FTCBFS by Helmut Grohe: Closes: #945058
  * Build-dep on publib for xfree,etc.
  * Clean up to allow repeat builds. Closes: #1044860

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 Aug 2023 10:54:37 +0100
