=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+ 
+include /usr/share/dpkg/buildtools.mk
+export CC
 
 # Standard options minus `-Wall', since upstream uses `-Werror'.
 # Use -w to disable -Werror, due to #warning misuse in <bsd/vis.h>
@@ -14,6 +18,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	dh_auto_clean -- -C USD.doc
+	rm -f *.cat1
 
 override_dh_auto_install:
 	install -D csh debian/csh/bin/bsd-csh
