## csh 20240808

=== debian/changelog ===
csh (20240808-4) unstable; urgency=medium

  * Redo std23 patch; use c17 with gcc15; int/bool issue breaks
    third-party codes. Closes: #1097439
	
 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Nov 2025 16:12:49 +0000

csh (20240808-3) unstable; urgency=medium

  * Fix FTBFS with std23 C. (std23.diff). Closes: #1096486
  * Standards-Version: 4.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Sep 2025 10:09:27 +0100

csh (20240808-2) unstable; urgency=medium

  * Fix inconsistent declaration that breaks 32-bit builds (g++-14 patch)
    Closes: #1078737

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Aug 2024 09:12:42 +0100

csh (20240808-1) unstable; urgency=medium

  * New git snapshot. Includes timespec changes needed for clean g++14
    build
  * g++-14.patch: Fix FTBFS with g++-14. Closes: #1074892

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 08 Aug 2024 12:02:13 +0100

csh (20230828-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install programs into /usr/bin. (Closes: #1073599)
  * Fix urgency of changelog entry 20110502-7.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 08 Jul 2024 01:27:48 +0200

csh (20110502-7) unstable; urgency=medium

  [ Lukas Märdian ]
  * Fix FTBFS with glibc 2.32: sys_siglist[] and sys_sigabbrev[] have been
    deprecated in favor of strsignal()
    - Refresh d/p/09_sys_signame.diff
    - Add d/p/glibc-strsignal.diff
    Closes: #996642

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 Oct 2021 08:47:17 +0100
