=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: csh
 Section: shells
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 4.5.0
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Standards-Version: 4.7.2
 Homepage: https://www.openbsd.org/cgi-bin/cvsweb/src/bin/csh/
 Vcs-Browser: https://salsa.debian.org:/mckinstry/bsd-csh.git
-Vcs-Git: https://salsa.debian.org:/mckinstry/bsd-csh.git
+Vcs-Git: https://salsa.debian.org:/mckinstry/bsd-csh.git -b debian/latest
 Build-Depends: debhelper-compat (= 13),
   groff, 
   libbsd-dev, 
+  publib-dev,
   bmake (>= 20130730-2)
 
 Package: csh
