=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
 
- 
+
 include /usr/share/dpkg/buildtools.mk
 export CC
 
 # Standard options minus `-Wall', since upstream uses `-Werror'.
 # Use -w to disable -Werror, due to #warning misuse in <bsd/vis.h>
-export CFLAGS := -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)  -w -fcommon
+export CFLAGS := -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)  -w -fcommon -std=c17
 
 %:
 	dh $@ --buildsystem=bmake
@@ -21,7 +21,7 @@
 	rm -f *.cat1
 
 override_dh_auto_install:
-	install -D csh debian/csh/bin/bsd-csh
+	install -D csh debian/csh/usr/bin/bsd-csh
 	install -D -m 644 USD.doc/paper.txt debian/csh/usr/share/doc/csh/csh.txt
 	install -D -m 644 USD.doc/paper.ps debian/csh/usr/share/doc/csh/csh.ps
 	install -D -m 644 -p csh.1 debian/csh/usr/share/man/man1/bsd-csh.1
